import { Headers } from 'tns-core-modules/http';
export interface HttpsSSLPinningOptions {
    host: string;
    certificate: string;
    allowInvalidCertificates?: boolean;
    validatesDomainName?: boolean;
}
export interface HttpsRequestObject {
    [key: string]: any;
}
export interface HttpsRequestOptions {
    url: string;
    method: 'GET' | 'POST' | 'PUT' | 'DELETE' | 'PATCH' | 'HEAD';
    headers?: Headers;
    params?: HttpsRequestObject | FormData;
    body?: HttpsRequestObject | FormData;
    allowLargeResponse?: boolean;
}
export interface HttpsResponse {
    headers?: Headers;
    statusCode?: number;
    content?: any;
    reason?: string;
    reject?: boolean;
}
export declare function dataObject(data: any): any;
export declare const METHODS: {
    'GET': string;
    'HEAD': string;
    'DELETE': string;
    'POST': string;
    'PUT': string;
    'PATCH': string;
};
export declare class SslPinningCommon {
    static isMultipartFormRequest(headers: any): boolean;
}
